The version should get a status archived like projects

2015-12-21 14:06 - Nils Grimm

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

If the custom field type version is used the list if versions can get very long.

Very old versions which the support has been stopped long time ago, should be settable to the status archived.

This could reduce the list of versions in the issue drop down fields.

Related issues:

Related to Redmine - Feature #23265: Group versions by status in version cust... Closed

Related to Redmine - Feature #23855: Target version filter should get an entr... Closed

Related to Redmine - Feature #23858: Add another version status 'planed' New

Related to Redmine - Feature #17907: Give 'version' another meaning New

Related to Redmine - Feature #12982: Add status 'active' to versions New

Related to Redmine - Feature #16188: Mark project categories as "inactive" New

History

#1 - 2015-12-30 12:02 - Tobias Fischer

+1 good idea!

#2 - 2016-01-20 03:25 - Toshi MARUYAMA

- Category changed from Issues planning to Custom fields

#3 - 2016-01-20 03:33 - Toshi MARUYAMA

- Status changed from New to Needs feedback

- Priority changed from High to Normal

What Redmine version do you use?

See #8572.

#4 - 2016-01-20 09:49 - Nils Grimm

I'm using the latest version 3.2.0.

Yes, I'm aware if the issue #8572.

But I think a new added version state like 'archived' would be great because the other states are already in use and have different meanings.

Why not adding the same state type to versions as projects are already having?

In the state 'archived' the version would be closed, too.

But for a long running projects with many versions this would give the option for the manager to remove the version out of the version list after a

maintenance windows have run out or something similar.

So the 'archived' state would assigned to the oldest but no longer maintained versions.

#5 - 2016-01-20 09:58 - Nils Grimm

And about the category change:

I don't think anything has to be done in the way the custom field is already working.

The issue #8572 already provide the necessary functionality for reducing the list.

I think only another version state type should be added.
Or the option to define additional custom version states for the administrator.

#6 - 2016-02-18 17:52 - Toshi MARUYAMA

- Status changed from Needs feedback to New

#7 - 2016-04-15 12:18 - Wim DePreter

+1

We are looking for a way to filter our "Affected Version" list, and status "archived" for no longer supported versions would be great.

Even redmine.org could apply this for the Affected Version (starts now with 0.7, which was released in 2008)

#8 - 2016-04-15 14:00 - Wim DePreter

- File version_status_archived.patch added

I've created a small patch (for version 3.2), which just adds an "archived" status to versions.

An "archived" version is considered to be closed (f.e. in Roadmap), but custom "version" fields can make a distinction between "closed" versions and

"archived" versions.

To do:

adapt all locales

possible improvement: make a distinction between "closed" and "archived" versions in the roadmap (f.e. add checkbox "View archived versions"

+ link "Archived versions")

#9 - 2016-09-19 13:03 - Wim DePreter

As suggested in #23855#note-2, there could also be a difference in "open" versions.

F.e. there is a difference between Candidate for next major release (which will never be released) and 4.0.0 (release in 2017?)

So if list of possible version-statuses is extended, maybe there should also be other "open" statuses.

F.e.:  

New unplanned version

Open planned version

Locked version to release

Closed released version

Archived released version, no more supported

#10 - 2016-09-19 15:52 - Robert Schneider

+1 and +1 for Wim's suggestion.

#11 - 2016-09-21 05:47 - Toshi MARUYAMA

- Related to Feature #23265: Group versions by status in version custom field filter added

#12 - 2016-09-21 05:49 - Toshi MARUYAMA

- Related to Feature #23855: Target version filter should get an entry 'All open versions' added

#13 - 2016-09-22 07:27 - Toshi MARUYAMA

- Related to Feature #23858: Add another version status 'planed' added

#14 - 2017-01-07 14:41 - Pavel Kveton

+1 and +1 for Wim's suggestion.

#15 - 2017-01-09 10:52 - Wim DePreter

Mischa's comments in RE: version status for "sunset" versions made me think, and maybe "Archived" is not such a good version state, but we need a

new state between "Locked" and "Closed" that indicates the version is shipped and "open" for reporting, like

Open > Locked > Released > Closed

 This way, you have an open/closed state before (for "Target Version": open/locked) and after (for "Affected Version": released/closed) release.

A closed version can be considered as a closed project, so no new issues can be reported for a closed version (custom field "Affected Version" must

be configured by administrator to exclude closed versions)

#16 - 2017-01-10 09:04 - Pavel Kveton

thinking about it, we probably don't really need the "New" version type - I use special version name in Open state instead and it is sufficient.
As for Open->Locked->Released->Closed suggested by Wim - this naming is closer what I'd understand under "Closed" version (i.e. not supported

any longer), so I like it more than "Archived" status name.

But I don't care much about the naming, as long as the functionality is there :-)

#17 - 2017-07-13 08:20 - Wim DePreter

- File version_status_released.patch added

I've updated the patch, so the new version status is called "released" (between "locked" and "closed").

It works against 3.4.x

#18 - 2017-07-13 12:05 - Robert Schneider

My 2 cents:

1. I would realize the 'New' status as well (or call it 'Planed' like in #23858). I don't find it appealing to use the name for that. IMO this is a

workaround. Also because of then there is no chance to hide such versions from the roadmap. They pollute the roadmap (look at Remine's

roadmap!). That state could also influence if (certain) users can add issues to it or not or for what not. No one is forced to use it, you can still use

the name for that.

2. Could we rename 'Released' to 'Completed' or something similar? Have a look at another issue of me: #17907. I still hope that Versions will be

replaced by something different (at least the name), because we use Redmine not only for Software development, so 'Released' is not so suited

if you think about e.g. Milestones.

#19 - 2017-08-11 15:22 - Toshi MARUYAMA

- Related to Feature #17907: Give 'version' another meaning added

#20 - 2018-08-06 16:55 - Wim DePreter

We are using Redmine now for more than 5 years (and we think it's great), but the number of closed versions, that are no longer supported, keeps on

growing.

Please could the Redmine team reconsider to bifurcate the "closed" state into a "closed supported" and a "closed no longer supported" (or some

other status name)

This would mean a lot to us, because users won't get a long list of versions when selecting the "affected version", but only the smaller list of

supported versions, and it makes thus Redmine more user-friendly.

#21 - 2020-02-03 08:33 - Go MAEDA

- Related to Feature #12982: Add status 'active' to versions added

#22 - 2021-08-29 13:52 - Mischa The Evil

- Related to Feature #16188: Mark project categories as "inactive" added

#23 - 2025-02-25 16:08 - Wim DePreter

Is it possible to reconsider an extra version-state?

We have now more than 1000 releases (every month at least 1, sometimes more releases), so the dropdown box for "affected version" becomes

impossible to handle.

We now have a work around (we keep released versions "locked", and field "affected version" doesn't include "closed" versions), but this has impact

on the roadmap.

An alternative would be a custom field "version" where it is possible to filter on version-properties (so we could add a "supported" boolean property to

versions, and show only supported versions)

Files

version_status_archived.patch 2.2 KB 2016-04-15 Wim DePreter

version_status_released.patch 2.78 KB 2017-07-13 Wim DePreter
